OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack Struct Reference

SmallStack item that can be kept in a pool. More...

`#include <smallstack_type.hpp>`

Inheritance diagram for SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack:

## Data Fields
Tindex | branch_count
| Number of branches in the tree structure this item is parent of.
Data Fields inherited from SmallStackItem< Titem, Tindex >
Tindex | next
| Pool index of next item.
Titem | value
| Value of current item.

## Additional Inherited Members
Public Member Functions inherited from SmallStackItem< Titem, Tindex >
| SmallStackItem (const Titem &value, Tindex next)
| Create a new item.

## Detailed Description

### template<typename Titem, typename Tindex, Titem Tinvalid, Tindex Tgrowth_step, Tindex Tmax_size>
struct SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack

SmallStack item that can be kept in a pool.

Definition at line 146 of file smallstack_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/smallstack_type.hpp